Bug 1738024 (fc32_libdasm) - libdasm depends on Python 2
Summary: libdasm depends on Python 2
Keywords:
Status: CLOSED NEXTRELEASE
Alias: fc32_libdasm
Product: Fedora
Classification: Fedora
Component: libdasm
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Orphan Owner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F31_PY2REMOVAL epel8_dionaea
TreeView+ depends on / blocked
 
Reported: 2019-08-06 12:34 UTC by Lumír Balhar
Modified: 2019-10-29 16:42 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-29 16:39:01 UTC
Type: Bug


Attachments (Terms of Use)

Description Lumír Balhar 2019-08-06 12:34:15 UTC
Python 2.7 will reach end-of-life in January 2020, over 9 years after it was released. This falls within the Fedora 31 lifetime.
Packages that depend on Python 2 are being switched to Python 3 or removed from Fedora: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages
Python 2 will be retired in Fedora 32: https://fedoraproject.org/wiki/Changes/RetirePython2

To help planning, we'd like to know the plans for libdasm's future. Specifically:


- What is the reason for the Python2 dependency? (Is it software written in Python, or does it just provide Python bindings, or use Python in the build system or test runner?) 

- What are the upstream/community plans/timelines regarding Python 3?

- What is the guidance for porting to Python 3? (Assuming that there is someone who generally knows how to port to Python 3, but doesn't know anything about the particular package, what are the next steps to take?)


This bug is filed semi-automatically, and might not have all the context specific to libdasm.
If you need anything from us, or something is unclear, please mention it here.

Thank you.

Comment 1 Ben Cotton 2019-08-13 17:03:26 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 2 Lumír Balhar 2019-08-14 09:09:46 UTC
Please answer the above questions. If you don't the package can be orphaned: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages

If you need any information or help, please let us know.

Comment 3 Lumír Balhar 2019-08-21 13:33:19 UTC
Please answer the above questions. If you don't, the package can be orphaned: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages

If you need any information or help, or if you need some more time, please let us know.

Comment 4 Lumír Balhar 2019-08-29 05:35:10 UTC
Please answer the above questions. If you don't, the package can be orphaned: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages

If you need any information or help, or if you need some more time, please let us know.

Comment 5 Miro Hrončok 2019-09-05 10:41:34 UTC
According to the procedure described in https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages the package was now orphaned. If you think it was a mistake, you can provide the answers and claim the package back.

Let us know if you need any help or just need more time.

Comment 6 Miro Hrončok 2019-10-17 11:11:07 UTC
Automation has figured out the package is retired in rawhide.

If you like it to be unretired, please open a ticket at https://pagure.io/releng/new_issue?template=package_unretirement

Comment 7 Michal Ambroz 2019-10-24 01:59:32 UTC
Hello Miro,
I am working on this one and you know it - we discussed, this is dependency to the dionaea + libemu we have been rebuilding last week.
Man how it comes it gets again retired here?
Please can I get the package back?

Comment 8 Miro Hrončok 2019-10-24 08:50:31 UTC
I don't remember all the package names you've told me, sorry. If there are some more, you need to act - unorphan, unretire.

1. the package was orphaned
2. you haven't claimed it back
3. it was retired after 6 weeks

That's exactly how it comes. If you don't read the comments, I cannot help you. See https://bugzilla.redhat.com/show_bug.cgi?id=1738024#c5

> Please can I get the package back?

Yes, just unretire it: https://fedoraproject.org/wiki/Orphaned_package_that_need_new_maintainers#Claiming_Ownership_of_a_Retired_Package

There is no need for a re-review (bz1764924) yet, if you request the unretirement before 8 weeks pass.



Your repetitive comments about how unfriendly we are are not friendly either. We actually try to be friendly, but it requires communication. When the maintainer says something in time, we repsond and work with them. You only respond when your packages are retired.

Comment 9 Michal Ambroz 2019-10-29 16:39:01 UTC
Hello,
libdasm back in rawhide and without python2 binding for fc32+ and epel8+:
https://koji.fedoraproject.org/koji/buildinfo?buildID=1404423
https://koji.fedoraproject.org/koji/buildinfo?buildID=1404470

Thanks for help getting it back.
Michal Ambroz


Note You need to log in before you can comment on or make changes to this bug.